Loading...
Searching...
No Matches
Dune::IsInteroperable< T1, T2 > Struct Template Reference
Common » Utilities » C++ utilities and backports

Checks whether two types are interoperable. More...

`#include <dune/common/typetraits.hh>`

## Static Public Attributes

static constexpr bool | value = std::is_convertible<T1,T2>::value || std::is_convertible<T2,T1>::value
| True if either a conversion from T1 to T2 or vice versa exists.

## Detailed Description

template<class T1, class T2>
struct Dune::IsInteroperable< T1, T2 >

Checks whether two types are interoperable.

Two types are interoperable if conversions in either directions exists.

## Member Data Documentation

## value

template<class T1, class T2>

bool Dune::IsInteroperable< T1, T2 >::value = std::is_convertible<T1,T2>::value || std::is_convertible<T2,T1>::value

static constexpr

True if either a conversion from T1 to T2 or vice versa exists.

The documentation for this struct was generated from the following file:

- typetraits.hh